import { Card } from 'react-bootstrap';
import { useTranslation } from 'react-i18next';

const PanelWrapper = ({ children, title }: {
  children: React.ReactNode,
  title: string
}) => {
  const { t } = useTranslation();

  return <details className="card" open>
    <summary role="button" aria-expanded="true" area-pressed="true"
      className="card-header">{t(title)}</summary>
    <Card.Body className="details-wrapper">
    {children}
    </Card.Body>
  </details>;
}

export default PanelWrapper;
