import { BsChevronDown, BsChevronUp } from 'react-icons/bs';

/**
 * Icon glyph for showing sort direction.
 *
 * @param direction Sort direction.
 */
const SortDirectionIcon = ({ direction }: { direction: "ASC" | "DESC" }) => {

  switch (direction) {
    case 'ASC':
      return <BsChevronUp aria-hidden="true" data-toggle="tooltip"
        data-placement="bottom" title=""
        data-original-title="Sort by descending order" />;
    case 'DESC':
      return <BsChevronDown aria-hidden="true" data-toggle="tooltip"
        data-placement="bottom" title=""
        data-original-title="Sort by ascending order" />;
  }

};

export default SortDirectionIcon;
