import EntityInfoTemplate from 'model/EntityInfoTemplate';

// Template for displaying detailed information about entities in OpenStack.
const OPENSTACK_IMAGE_TEMPLATE: EntityInfoTemplate = {
  cloudServiceProvider: 'openstack',
  entityName: 'image',
  entityRecords: [
    {
      panelName: 'Image',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Name', name: 'name', type: 'default' },
        { labelName: 'AMI Image', name: 'ami_name', type: 'default' },
        { labelName: 'Image ID', name: 'image_id', type: 'default' },
        { labelName: 'Owner', name: 'account_id', type: 'default' },
        { labelName: 'Status', name: 'status', type: 'default' },
        { labelName: 'Created', name: 'created', type: 'datetime' },
      ]
    },
    {
      panelName: 'Launch Permission',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Visibility', name: 'visibility', type: 'boolean', value: ['On', 'Off'] },
      ]
    },
    {
      panelName: 'Type',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Image Type', name: 'image_type', type: 'default' },
      ]
    },
    {
      panelName: 'Device',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Root Device Type', name: 'root_device_type', type: 'default' },
      ]
    },
    {
      panelName: 'Others',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Cloud service provider ID', name: 'cloud_context', type: 'default' },
      ]
    },
   ]
};

export default OPENSTACK_IMAGE_TEMPLATE;
