import EntityFormTemplate from 'model/EntityFormTemplate';

const AWS_CLOUD_INTERNET_GATEWAY_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'internet_gateway',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Internet gateway',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'internet_gateway',
    actionType: 'edit',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Internet gateway',
        keyValueRecords: [
          {
            type: 'default',
            labelName: 'Name',
            name: 'name',
            defaultValue: '',
            required: true
          },
          {
            type: 'default',
            labelName: 'Internet gateway ID',
            name: 'internet_gateway_id',
            defaultValue: '',
            readOnly: true
          },
          {
            type: 'default',
            labelName: 'State',
            name: 'state',
            defaultValue: '',
            readOnly: true
          },
          {
            type: 'default',
            labelName: 'VPC CIDR (ID)',
            name: 'vpc_id',
            defaultValue: '',
            readOnly: true
          },
          {
            type: 'datetime',
            labelName: 'Created',
            name: 'created',
            defaultValue: 0,
            readOnly: true
          },
          {
            type: 'key-value', labelName: 'Tags', name: 'tags',
            defaultValue: []
          },
        ]
      },
    ]
  }
]

export default AWS_CLOUD_INTERNET_GATEWAY_TEMPLATE;
