import EntityFormTemplate from 'model/EntityFormTemplate';

const AWS_CLOUD_VPC_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'vpc',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'VPC',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
          { type: 'default', labelName: 'IPv4 CIDR block', name: 'cidr_block', defaultValue: '', required: true },
          { type: 'select-local', labelName: 'IPv6 CIDR block', name: 'amazon_provided_ipv6_cidr_block', defaultValue: '0', value: [
            { name: '0', labelName: 'No IPv6 CIDR Block' },
            { name: '1', labelName: 'Amazon provided IPv6 CIDR block' },
          ] },
          { type: 'select-local', labelName: 'Tenancy', name: 'instance_tenancy', defaultValue: 'default', value: [
            { name: 'default', labelName: 'Default' },
            { name: 'dedicated', labelName: 'Dedicated' },
          ] },
          { type: 'boolean', labelName: 'Flow log', name: 'flow_log', defaultValue: false }
        ]
      }
    ]
  }
]

export default AWS_CLOUD_VPC_TEMPLATE;
