import EntityFormTemplate from 'model/EntityFormTemplate';

const AWS_CLOUD_VPC_PEERING_CONNECTION: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'vpc_peering_connection',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'VPC peering connection',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '', required: true },
          {
            type: 'select', labelName: 'Requester VPC ID', name: 'requester_vpc_id',
            url: '/cloud_dashboard/aws_cloud/{cloud_context}/vpc_options',
            defaultValue: '',
            required: true
          },
          {
            type: 'default',
            labelName: 'Accepter AWS account ID',
            name: 'accepter_account_id',
            defaultValue: '',
            defaultValueUrl: '/cloud_dashboard/aws_cloud/{cloud_context}/account_id'
          },
          {
            type: 'select',
            labelName: 'Accepter region',
            name: 'accepter_region',
            defaultValue: '',
            defaultValueUrl: '/cloud_dashboard/aws_cloud/{cloud_context}/defaultRegion',
            required: true,
            url: '/cloud_dashboard/aws_cloud/{cloud_context}/regions',
          },
          {
            type: 'select',
            labelName: 'Accepter VPC ID',
            name: 'accepter_vpc_id',
            defaultValue: '',
            url: '/cloud_dashboard/aws_cloud/{cloud_context}/vpc_options',
            required: true,
          },
          {
            type: 'default',
            labelName: 'Accepter VPC ID',
            name: 'accepter_vpc_id_text',
            defaultValue: '',
            required: true,
          },
          {
            type: 'hidden',
            labelName: '',
            name: 'default_account_id',
            defaultValue: '',
            defaultValueUrl: '/cloud_dashboard/aws_cloud/{cloud_context}/account_id',
          },
          {
            type: 'hidden',
            labelName: '',
            name: 'default_region',
            defaultValue: '',
            defaultValueUrl: '/cloud_dashboard/aws_cloud/{cloud_context}/defaultRegion',
          }
        ]
      }
    ]
  }
]

export default AWS_CLOUD_VPC_PEERING_CONNECTION;
