import { Form } from 'react-bootstrap';

/**
 * Block of key-value input view.
 *
 * @param
 */
const BooleanInputBlock = ({ label, value, setValue, required, readOnly }: {
  label: string,
  value: boolean,
  setValue: (v: boolean) => void,
  required: boolean,
  readOnly: boolean,
}) => {
  return <div className="form-item js-form-item">
    <input className="form-check-input" type="checkbox" checked={value} onChange={() => {
      setValue(!value);
    }} readOnly={readOnly} />
    <Form.Label className={'option' + (required ? ' form-required' : '')}>{label}</Form.Label>
  </div>;
}

export default BooleanInputBlock;
