import CloudServiceProviderMap from 'organisms/CloudServiceProviderMap';
import CloudServiceProviderTable from 'organisms/CloudServiceProviderTable';
import SetLanguageForm from 'organisms/SetLanguageForm';
import SideBar from 'organisms/SideBar';
import { Card, Col, Container, Row } from 'react-bootstrap';
import { useTranslation } from 'react-i18next';

/**
 * Page of cloud service provider info.
 */
const ProviderPage = () => {

  const { t } = useTranslation();

  return <>
    <SideBar />
    <Container fluid className="px-0">
      <Row className="mx-0 mb-3">
        <Col>
          <details className="card" open>
            <summary role="button" aria-expanded="true" area-pressed="true"
              className="card-header">{t('Location map')}</summary>
            <Card.Body>
              <CloudServiceProviderMap />
            </Card.Body>
          </details>
        </Col>
      </Row>
      <Row className="mx-0 mb-5">
        <Col>
          <SetLanguageForm />
        </Col>
      </Row>
      <Row className="mx-0 mb-3">
        <Col>
          <CloudServiceProviderTable />
        </Col>
      </Row>
    </Container>
  </>;

}

export default ProviderPage;
