Feature: Login, logout and list resources on the ongoing state
  In order to list resources on the ongoing state
  As a user
  I need to have both Drupal and AWS IAM permissions

  Scenario: Log in with the "Anonymous user" role
    Given I am not logged in
    When I go to "/clouds"
    Then I should be on "/user/login"
    And I should see the heading "Log in"

  @api
  Scenario Outline: Log in
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds"
    Then I should get a 200 HTTP response
    And I should see the heading "Cloud service providers"

    Examples:
      |  role                |
      | "Authenticated user" |
      | "Administrator"      |

  @api
  Scenario: Log in as an "Administrator"
    Given I am logged in as a user with the "Administrator" role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I visit "/clouds"
    Then I should see "Instance Pricing"
    And I should see "Location map"
    And I should see the button "Apply"

  @api
  Scenario Outline: Log out
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    And I visit "/"
    And I see the heading "Cloud service provider location map"
    When I click "Log out"
    Then I should be on "/user/login"
    And I should see the link "Log in"

    Examples:
      | role                 |
      | "Authenticated user" |
      | "Administrator"      |

  @api
  Scenario Outline: View the list of cloud service providers
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds"
    Then I should get a 200 HTTP response
    And I should see the heading "Cloud service providers"
    And I should see "Location map"
    And I should see the button "Apply"
    And I should <status> the link "Name"
    And I should <status> "Instance Pricing"

  Examples:
    | role                 | status  |
    | "Authenticated user" | not see |
    | "Administrator"      | see     |

  @api
  Scenario Outline: View the list of AWS resources
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds/aws_cloud/instance"
    Then I should get a 200 HTTP response
    And I should see the heading "All AWS Cloud instances"
    And I should see the button "Apply"
    And I should see the link "Instances"

    Examples:
      | role                 |
      | "Authenticated user" |
      | "Administrator"      |
