Feature: Create resource to change from clean to ongoing state
  In order to change to ongoing state
  As an admin
  We need to create some resources

  @javascript @api
  Scenario Outline: Add an AWS Cloud service provider
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/structure/cloud_config/add/aws_cloud"
    And I enter <aws_name> for "Name"
    And I enter <account_id> for "Account ID"
    And I select <region_name> from "Regions"
    And I check the box "Use instance profile"
    And I press "Save"
    And I wait for AJAX to finish
    Then I should be on "/clouds"
    And I should see "Creating cloud service provider was performed successfully"
    And I should see <aws_link>

    Examples:
      | aws_name  | account_id   | region_name               | aws_link                  |
      | "AWS BDD" | "account_id" | "US West (N. California)" | "AWS BDD (N. California)" |

  @javascript @api
  Scenario Outline: Create a role and give it permission to AWS BDD
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/roles/add"
    And I enter <role_name> for "Role name"
    And I wait for AJAX to finish
    And I enter <role_name_machine> for "Machine-readable name"
    And I press "Save"
    And I wait for AJAX to finish
    And I should be on "/admin/people/roles"
    And I should see <role_name>
    Then I visit <edit_role>
    And I check the box "Add / Launch AWS Cloud instance"
    And I check the box "Add AWS Cloud VPC"
    And I check the box "Add AWS Cloud VPC subnet"
    And I check the box "Add AWS Cloud image"
    And I check the box "Add AWS Cloud key pair"
    And I check the box "Add AWS Cloud security group"
    And I check the box "Delete / Terminate any Amazon EC2 instance"
    And I check the box "Delete any AWS Cloud VPC"
    And I check the box "Delete any AWS Cloud VPC subnet"
    And I check the box "Delete any AWS Cloud image"
    And I check the box "Delete any AWS Cloud key pair"
    And I check the box "Delete any AWS Cloud security group"
    And I check the box "Edit any AWS Cloud VPC"
    And I check the box "Edit any AWS Cloud VPC subnet"
    And I check the box "Edit any AWS Cloud image"
    And I check the box "Edit any AWS Cloud instance"
    And I check the box "Edit any AWS Cloud key pair"
    And I check the box "Edit any AWS Cloud security group"
    And I check the box "List AWS Cloud image"
    And I check the box "List AWS Cloud VPC"
    And I check the box "List AWS Cloud VPC subnet"
    And I check the box "List AWS Cloud instance"
    And I check the box "List AWS Cloud key pair"
    And I check the box "List AWS Cloud security group"
    And I check the box "List AWS Cloud service provider"
    And I check the box "View AWS Cloud instance type prices"
    And I check the box "View AWS Cloud service provider"
    And I check the box "View any AWS Cloud VPC"
    And I check the box "View any AWS Cloud VPC subnet"
    And I check the box "View any AWS Cloud image"
    And I check the box "View any AWS Cloud instance"
    And I check the box "View any AWS Cloud key pair"
    And I check the box "View any AWS Cloud security group"
    And I check the box "Access AWS BDD (N. California)"
    And I check the box "Add cloud launch templates"
    And I check the box "Approve launch AWS Cloud instance"
    And I check the box "Delete any cloud launch templates"
    And I check the box "Edit any cloud launch templates"
    And I check the box "Launch cloud launch template"
    And I check the box "View any cloud launch templates"
    And I press "Save permissions"
    And I wait for AJAX to finish
    And I should see "The changes have been saved."

    Examples:
      | edit_role                            | role_name  | role_name_machine |
      | "/admin/people/permissions/bdd_role" | "BDD Role" | "bdd_role"        |
