Feature: Delete resource created by admin to go back to clean state
  In order to change to clean state
  As an admin
  I need to delete some resource

  @api
  Scenario Outline: Delete the role BDD Role
    Given I am logged in as a user with the "Administrator" role
    And I visit "/admin/people/roles"
    And I should see <role_name>
    When I visit "/admin/people/roles/manage/bdd_role/delete?destination=/admin/people/roles"
    And I press "Delete"
    Then I should be on "/admin/people/roles"
    And I should see "has been deleted."
    And I should not see the link <role_name>

    Examples:
      | role_name  |
      | "BDD Role" |

  @api
  Scenario Outline: Delete the AWS Cloud service provider AWS BDD
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/structure/cloud_config"
    And I check the box "edit-cloud-config-bulk-form-0"
    And I press "Apply to selected items"
    And I press "Delete"
    Then I should be on "/admin/structure/cloud_config"
    And I should see "Deleted 1 item."
    And I should not see the link <aws_link>

    Examples:
      | aws_link                  |
      | "AWS BDD (N. California)" |
