@ci_job
Feature: View the created resources for AWS as "Cloud administrator"

  @api
  Scenario Outline: View the menu of AWS Cloud service providers
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds"
    Then I should get a 200 HTTP response
    And I should see the heading "Cloud service providers"
    And I should see neither error nor warning messages

    Examples:
      |  role                 |
      | "Authenticated user"  |
      | "Cloud administrator" |

  @api
  Scenario: View the manage menu of AWS Cloud service providers
    Given I am logged in as a user with the "Cloud administrator" role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I visit "/clouds"
    Then I should see "Instance Pricing"
    And I should see "Location map"
    And I should see the button "Apply"

  @api
  Scenario Outline: View the list of AWS Cloud service providers
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds"
    Then I should get a 200 HTTP response
    And I should see the heading "Cloud service providers"
    And I should see "Location map"
    And I should see the button "Apply"
    And I should <status> the link "Name"
    And I should <status> "Instance Pricing"

  Examples:
    | role                  | status  |
    | "Authenticated user"  | not see |
    | "Cloud administrator" | see     |

  @api
  Scenario Outline: View the list of AWS resources
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "AWS" in the "nav_bar"
    When I go to "/clouds/aws_cloud/instance"
    Then I should get a 200 HTTP response
    And I should see the heading "All AWS Cloud instances"
    And I should see the button "Apply"
    And I should see the link "Instances"

    Examples:
      | role                  |
      | "Authenticated user"  |
      | "Cloud administrator" |
