@ci_job
Feature: Create and delete a volume as "Authenticated User"

  @javascript @api
  Scenario: Create a Volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/volume/add"
    And I should see the heading "Add AWS Cloud volume"
    And I enter "{{ volume_name }}" for "Name"
    And I enter "{{ volume_size }}" for "Size (GiB)"
    And I select "{{ availability_zone }}" from "Availability Zone"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the success message "has been created"
    And I should see neither error nor warning messages
    And I should see "creating" in the "{{ volume_name }}" row

  @javascript @api
  Scenario: Attach the Volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the heading "AWS Cloud volumes"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ volume_name }}"
    And I should see "available" in the "{{ volume_name }}" row
    And I click "{{ volume_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/volume/"
    And I click "Attach"
    And the url should match "/attach"
    And I enter "{{ device_name }}" for "Device Name"
    And I select "{{ instance_name }}" from "Instance ID"
    And I press "Attach"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the success message "is attaching to"
    And I should see neither error nor warning messages
    And I should see "attaching" in the "{{ volume_name }}" row

  @javascript @api
  Scenario: Detach the Volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the heading "AWS Cloud volumes"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ volume_name }}"
    And I should see "in-use" in the "{{ volume_name }}" row
    And I click "{{ volume_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/volume/"
    And I click "Detach"
    And the url should match "/detach"
    And I press "Detach"
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the success message "is detaching from"
    And I should see neither error nor warning messages
    And I should see "detaching" in the "{{ volume_name }}" row

  @api @javascript
  Scenario: Delete the Volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ volume_name }}"
    And I should see "available" in the "{{ volume_name }}" row
    And I click "{{ volume_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/volume/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/volume"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    # volume_name exists in a listing view.
    And I should not see the link "{{ volume_name }}"
