@ci_job
Feature: Make sure "Authenticated user" cannot add resources

  @api @javascript
  Scenario: Cannot add an instance
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/instance"
    And I should see the heading "All AWS Cloud instances"
    Then I should not see "Add | Launch AWS Cloud instance"

  @api @javascript
  Scenario: Cannot add a launch template
    Given I am logged in as a user with the "Authenticated user" role
    When I go to "/clouds/design/server_template/{{ cloud_context }}"
    Then I should get a 403 HTTP response
    When I go to "clouds/design/server_template/{{ cloud_context }}/aws_cloud/add"
    Then I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add an image
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/image"
    And I should see the heading "All AWS Cloud images"
    Then I should not see "Add AWS Cloud image"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/image/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a security group
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/security_group"
    And I should see the heading "All AWS Cloud security groups"
    Then I should not see "Add AWS Cloud security group"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/security_group/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add an Elastic IP
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/elastic_ip"
    And I should see the heading "All AWS Cloud Elastic IPs"
    Then I should not see "Add AWS Cloud Elastic IP"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/elastic_ip/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a key pair
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/key_pair"
    And I should see the heading "All AWS Cloud key pairs"
    Then I should not see "Add AWS Cloud key pair"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/key_pair/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a volume
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/volume"
    And I should see the heading "All AWS Cloud volumes"
    Then I should not see "Add AWS Cloud volume"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/volume/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a snapshot
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/snapshot"
    And I should see the heading "All AWS Cloud snapshots"
    Then I should not see "Add AWS Cloud snapshot"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/snapshot/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a network iinterface
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/network_interface"
    And I should see the heading "All AWS Cloud network interfaces"
    Then I should not see "Add AWS Cloud network interface"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/network_interface/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a VPC
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/vpc"
    And I should see the heading "All AWS Cloud VPCs"
    Then I should not see "Add AWS Cloud VPC"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/vpc/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a subnet
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/subnet"
    And I should see the heading "All AWS Cloud subnets"
    Then I should not see "Add AWS Cloud subnet"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/subnet/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a VPC peering connections
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/volume"
    And I should see the heading "All AWS Cloud volumes"
    Then I should not see "Add AWS Cloud volume"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/volume/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add an internet gateway
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/internet_gateway"
    And I should see the heading "All AWS Cloud internet gateways"
    Then I should not see "Add AWS Cloud internet gateway"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/internet_gateway/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a carrier gateway
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/carrier_gateway"
    And I should see the heading "All AWS Cloud carrier gateways"
    Then I should not see "Add AWS Cloud carrier gateway"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/carrier_gateway/add"
    And I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a transit gateway
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/transit_gateway"
    And I should see the heading "All AWS Cloud transit gateways"
    Then I should not see "Add AWS Cloud transit gateway"
    And I go to "/clouds/aws_cloud/{{ cloud_context }}/transit_gateway/add"
    And I should get a 403 HTTP response
