Feature: Delete resources created by user to launch EC2 instance
  In order to be able to replicate BDD tests
  As a user
  I need to delete some resources

  @api
  Scenario Outline: Terminate the instance
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/instance"
    And I should see the link <instance_name>
    And I click <instance_name>
    And the url should match "/instance/"
    And I click "Delete" in the "actions"
    And the url should match "/terminate"
    And I press "Delete | Terminate"
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/instance"
    And I should see "has been deleted"
    And I should not see the link <instance_name>

    Examples:
      | role       | instance_name  |
      | "BDD Role" | "BDD_Instance" |

  @javascript @api
  Scenario Outline: Delete launch template
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/design/server_template/aws_bdd_us_west_1"
    And I should see the link <launch_template>
    And I click <launch_template>
    And the url should match "/aws_bdd_us_west_1/"
    And I click "Delete" in the "nav_tabs"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/design/server_template/aws_bdd_us_west_1"
    And I should see "has been deleted"
    And I should not see the link <launch_template>

    Examples:
      | role       | launch_template |
      | "BDD Role" | "BDD_Instance"  |

  @javascript @api
  Scenario Outline: Delete Cloud security group
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/security_group"
    And I should see the link <security_group_name>
    And I click <security_group_name>
    And the url should match "/security_group/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/security_group"
    And I should see "has been deleted"
    And I should not see the link <security_group_name>

    Examples:
      | role       | security_group_name  |
      | "BDD Role" | "BDD Security Group" |

  @javascript @api
  Scenario Outline: Delete Cloud Subnet
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/subnet"
    And I should see the link <subnet_name>
    And I click <subnet_name>
    And the url should match "/subnet/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/subnet"
    And I should see "has been deleted"
    And I should not see the link <subnet_name>

    Examples:
      | role       | subnet_name  |
      | "BDD Role" | "BDD Subnet" |

  @javascript @api
  Scenario Outline: Delete Aws Cloud VPC
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/vpc"
    And I should see the link <vpc_name>
    And I click <vpc_name>
    And the url should match "/vpc/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/vpc"
    And I should see "has been deleted"
    And I should not see the link <vpc_name>

    Examples:
      | role       | vpc_name  |
      | "BDD Role" | "BDD VPC" |

  @javascript @api
  Scenario Outline: Delete AMI Image
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/image"
    And I should see the link <image_name>
    And I click <image_name>
    And the url should match "/image/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/image"
    And I should see "has been delete"
    And I should not see the link <image_name>

    Examples:
      | role       | image_name                                                                |
      | "BDD Role" | "ubuntu-minimal/images/hvm-ssd/ubuntu-focal-20.04-amd64-minimal-20211001" |

  @javascript @api
  Scenario Outline: Delete SSH Key Pair
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/aws_cloud/aws_bdd_us_west_1/key_pair"
    And I should see the link <ssh_key_name>
    And I click <ssh_key_name>
    And the url should match "/key_pair/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/aws_cloud/aws_bdd_us_west_1/key_pair"
    And I should see "has been deleted"
    And I should not see the link <ssh_key_name>

    Examples:
      | role       | ssh_key_name |
      | "BDD Role" | "BDD Key"    |
