(function ($, Drupal, drupalSettings) {

  'use strict';

  const source_type_observer = new MutationObserver(() => {
    changeTabBySourcetype();
  });
  source_type_observer.observe(
    document.querySelector('#edit-field-source-type'), {
      attributes: true,
    }
  );

  const changeTabBySourcetype = function () {
    const $selected_source_type = $("select[name='field_source_type']")[0].value;
    const $source_type = $selected_source_type.includes('git') ? 'git' : 'yml';
    $('[data-vertical-tabs-panes]').each(function () {
      const $tab_tag = $(this).find('> details').length > 0 ? 'details' : 'div';
      const $tabs = $(this).addClass('vertical-tabs__panes').find($tab_tag + '[id*="edit-configuration"]')
      const $select_tab_id = 'edit-configuration-' + $source_type;
      let $tab_focus = '';
      $tabs.each(function () {
        if (this.id === $select_tab_id) {
          $tab_focus = $(this);
        }
      });
      if ($tab_focus.length > 0) {
        $tab_focus.data('verticalTab').focus();
      }
    });
  }

  Drupal.behaviors.k8sLaunchTemplateVerticalTabs = {
    attach: function (context) {
      changeTabBySourcetype();
    },

  };

})(jQuery, Drupal, drupalSettings);
