<?php

namespace Drupal\openstack\Entity;

use Drupal\aws_cloud\Entity\Ec2\NetworkInterfaceViewBuilder;

/**
 * Provides the network interface view builders.
 */
class OpenStackNetworkInterfaceViewBuilder extends NetworkInterfaceViewBuilder {

  /**
   * {@inheritdoc}
   */
  protected function getFieldsetDefs(): array {
    // Hiding the owner fieldset.
    $fields = parent::getFieldsetDefs();
    foreach ($fields ?: [] as $key => $field) {
      if ($field['name'] === 'owner') {
        unset($fields[$key]);
      }
    }
    return $fields;
  }

  /**
   * Show a default message if attachments are not available.
   *
   * @param array $build
   *   Build array.
   *
   * @return array
   *   The updated renderable array.
   */
  public function removeAttachmentField(array $build): array {
    /** @var \Drupal\aws_cloud\Entity\Ec2\NetworkInterfaceInterface $network_interface */
    $network_interface = &$build['attachment'][0]['#openstack_network_interface'];

    $attachment_id = $network_interface->getAttachmentId();
    $attachment_owner = $network_interface->getAttachmentOwner() ?? '';
    $attachment_status = $network_interface->getAttachmentStatus() ?? '';

    if (empty($attachment_id) && empty($attachment_owner) && empty($attachment_status)) {
      unset($build['attachment']);
    }
    return $build;
  }

}
