@minimal @ci_job @setup
Feature: Create a Drupal role for OpenStack and a user as "Administrator"

  @api
  Scenario Outline: View the permissions of the Authenticated user role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/permissions/authenticated"
    Then the checkbox "Add OpenStack <resource>" should be checked
    Then the checkbox "List OpenStack <resource>" should be checked
    And the checkbox "View own OpenStack <resource>" should be checked
    And the checkbox "Edit own OpenStack <resource>" should be checked
    And the checkbox "Delete own OpenStack <resource>" should be checked

    Examples:
    | resource       |
    | security group |
    | image          |

  @api
  Scenario: View the instance permissions of the Authenticated user role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/permissions/authenticated"
    Then the checkbox "Add / Launch OpenStack instance" should be checked
    Then the checkbox "List OpenStack instance" should be checked
    And the checkbox "View own OpenStack instance" should be checked
    And the checkbox "Edit own OpenStack instance" should be checked
    And the checkbox "Delete / Terminate own OpenStack instance" should be checked

  @api
  Scenario: Create a role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/roles/add"
    And I enter "{{ drupal_role_name }}" for "Role name"
    And I enter "{{ drupal_role_name_machine }}" for "Machine-readable name"
    And I press "Save"
    And I should be on "/admin/people/roles"
    And I should see "{{ drupal_role_name }}"
    Then I visit "admin/people/permissions/{{ drupal_role_name_machine }}"
    # Allow to see the cloud service provider
    And I check the box "Access {{ cloud_service_provider_name }}"
    # Allow to view and edit private image by public image case
    And I check the box "View any OpenStack image"
    And I check the box "Edit any OpenStack image"
    # Allow to launch an instance.
    And I check the box "Launch approved cloud launch template"
    And I press "Save permissions"
    And I should see the success message "The changes have been saved."
    And I should see neither error nor warning messages

  @api
  Scenario: Create a user
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/create"
    And I enter "{{ drupal_user_name }}" for "Username"
    And I enter "{{ drupal_user_password }}" for "Password"
    And I enter "{{ drupal_user_password }}" for "Confirm password"
    And I check the box "{{ drupal_role_name }}"
    And I press "Create new account"
    Then I should see the success message "Created a new user account for"
    And I should see neither error nor warning messages
    And I visit "/admin/people"
    And I should see "{{ drupal_user_name }}"

  @api
  Scenario: Create an admin user
    Given I am logged in as a user with the "Administrator" role
    When I visit "/admin/people/create"
    And I enter "{{ drupal_admin_name }}" for "Username"
    And I enter "{{ drupal_admin_password }}" for "Password"
    And I enter "{{ drupal_admin_password }}" for "Confirm password"
    And I check the box "Cloud administrator"
    And I press "Create new account"
    Then I should see the success message "Created a new user account for"
    And I should see neither error nor warning messages
    And I visit "/admin/people"
    And I should see "{{ drupal_admin_name }}"
