@minimal @ci_job
Feature: Create resources for OpenStack as "Authenticated User"

  @api @javascript
  Scenario: Create a key pair
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/key_pair/add"
    And I should see the heading "Add OpenStack key pair"
    And I enter "{{ key_name }}" for "Key pair name"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/openstack/{{ cloud_context }}/key_pair"
    And I should see the success message "has been created"
    And I should see the warning message "Download private key. Once downloaded, the key will be deleted from the server."
    And I should see no error message
    And I click "Download private key" in the warning_message
    And I should see the link "{{ key_name }}"

  @api @javascript
  Scenario: Create a security group
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/security_group/add"
    And I should see the heading "Add OpenStack security group"
    And I enter "{{ security_group_name }}" for "Security group name"
    And I enter "{{ security_group_description }}" for "Description"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/openstack/{{ cloud_context }}/security_group/"
    And I should see the success message "has been created"
    And I should see the success message "Setup the IP permissions"
    And I should see the link "{{ security_group_name }}" in the success_message
    And I should see neither error nor warning messages
