@minimal @ci_job
Feature: Create an instances for OpenStack as "Authenticated User"

  @api @javascript
  Scenario: Read an image
    # The prerequisite is having an image at OpenStack Horizon dashboard.
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/openstack/{{ cloud_context }}/image"
    And I click "Refresh"
    And I should see the link "{{ image_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ image_name }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/image/"
    And I should see "{{ image_name }}"
    And I should see "{{ status }}"
    And I should see neither error nor warning messages

  @api @javascript
  Scenario: Create an Launch template
    Given I am logged in as user "{{ drupal_user_name }}"
    When I visit "/clouds/design/server_template/{{ cloud_context }}/openstack/add"
    And I should see the heading "Add OpenStack"
    And I enter "{{ instance_name }}" for "Name"
    And I select "{{ instance_flavor }}" from "Flavor"
    And I select "{{ image_name }}" from "Image ID"
    And I select "{{ availability_zone }}" from "Availability zone"
    And I select "{{ security_group_name }}" from "Security groups"
    And I select "{{ key_name }}" from "SSH key"
    # Make sure we have this network interface at OpenStack Horizon dashboard.
    And I select "{{ network_name }}" from "Network interface"
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/design/server_template/{{ cloud_context }}/"
    And I should see the success message "has been created"
    And I should see neither error nor warning messages
    And I should see the heading "{{ instance_name }}"
